Subject: Ansible, python executable on remote host
From: Al McElrath <[email-masked]>
To: [email-masked]
Date: Thu, 17 Dec 2015 12:32:22 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I had some trouble with ansible that I'd like to share. I believe it
tries to use the same path to the python executable on the remote host
as exists locally, which is problematic for guix:

'/bin/sh: 1: /gnu/store/5isi4xqg1jr5rqbr6pfap28fw5116dnr-python-2.7.10/bin/python: not found'

I imagine this can be a problem for non-guix users too, and there's a
workaround in the form of a setting to specify the remote python path,
"ansible_python_interpreter":

http://docs.ansible.com/ansible/intro_inventory.html#list-of-behavioral-inventory-parameters

Not quite a bug, but maybe this will help someone else.